> ## Name

> cgGetProfileSibling - get the corresponding sibling profile in another domain

> ## Synopsis

>     #include <Cg/cg.h>

>     CGprofile cgGetProfileSibling( CGprofile profile, CGdomain domain );

> ## Parameters

> profile
>   The profile enumerant.
> profile
>   The domain enumerant.

> ## Return Values

> Returns the profile corresponding to profile in the specified domain.

> Returns CG_PROFILE_UNKNOWN if profile is unrecognized or does not have a valid sibling profile for domain.

> ## Description

> cgGetProfileSibling returns the corresponding sibling profile in another domain

> ## Examples

>     CGprofile fprofile = cgGetProfileSibling(CG_PROFILE_GP5VP,CG_FRAGMENT_DOMAIN);
>     /* fprofile == CG_PROFILE_GP5FP */

> ## Errors

> None.

> ## History

> cgGetProfileSibling was introduced in Cg 3.1.

> ## See Also

> cgGetProfileDomain, cgGetProfileProperty